Bug 467409 - (mingw32-atk) Review Request: mingw32-atk - MinGW Windows Atk library
Review Request: mingw32-atk - MinGW Windows Atk library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-iconv mingw32-gettext mingw32-glib2
Blocks: mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 07:16 EDT by Richard W.M. Jones
Modified: 2009-02-28 10:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 10:13:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Levente Farkas 2008-11-01 09:09:16 EDT
please apply this patch for require versioned native packages:

--- ./mingw32-atk.spec.lfarkas	2008-11-01 13:50:38.000000000 +0100
+++ ./mingw32-atk.spec	2008-11-01 14:08:33.000000000 +0100
@@ -4,6 +4,8 @@
 %define __find_requires %{_mingw32_findrequires}
 %define __find_provides %{_mingw32_findprovides}
 
+%define glib2_version 2.6.0
+
 Name:           mingw32-atk
 Version:        1.24.0
 Release:        2%{?dist}
@@ -27,7 +29,7 @@ BuildRequires:  pkgconfig
 # Need native one too for msgfmt
 BuildRequires:  gettext
 # Need native one too for  glib-genmarshal
-BuildRequires:  glib2-devel
+BuildRequires:  glib2-devel >= %{glib2_version}
 
 
 %description
Comment 2 Richard W.M. Jones 2008-11-03 05:43:34 EST
I don't understand what the purpose of this patch is.  The
version of glib2 in RHEL-5 currently is 2.12.3, and the
version in Fedora is 2.18.2, so why the constraint on this
really ancient version (2.6.0)?

Did you mean that the glib2-devel version must be the same
as the mingw32-glib2 version?
Comment 3 Daniel Berrange 2008-11-03 06:02:12 EST
I don't see that this is needed for Fedora. The SPEC file is intended for use in Fedora 9/10/rawhide, and the build requires are sufficient to ensure correct building in all those versions. This package is not being targetted for EPEL, and in any case the change is also not required for successfully building in EPEL
Comment 5 Richard W.M. Jones 2009-01-25 08:17:13 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/atk/mingw32-atk.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-atk-1.25.2-1.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-1
- Rebase to latest Fedora native version 1.25.2.
- Use find_lang macro.
- Use smp_mflags.
- Fix URL.
- Fix Source URL.
Comment 6 Erik van Pienbroek 2009-01-29 18:02:52 EST
- Does the .def file really need to be bundled in this package? (IOW, do other packages require this file?)
- The gtk-doc should be removed from this package (as was discussed at http://lists.fedoraproject.org/pipermail/fedora-mingw/2009-January/000357.html )
- %defattr(-,root,root) needs to be changed to %defattr(-,root,root,-)

Other than that, no serious issues with this package
Comment 7 Richard W.M. Jones 2009-01-30 05:43:54 EST
No one is really clear on what the .def file is for, except
that it duplicates(?) or enhances(?) linking information.
I'm loathed to remove or change such files when libtool
has created them, since I'm sure the libtool developers
know far more about this than I do.

In any case, the packaging guidelines allow *.def files :-)

Here is an updated package which fixes the other two points
that you raised.

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/atk/mingw32-atk.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-atk-1.25.2-2.fc11.src.rpm

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-2
- Remove gtk-doc.
- Fix defattr line.
Comment 8 Erik van Pienbroek 2009-01-30 06:01:32 EST
The .def file contains a list of all the functions which need to be exported in the .DLL file. It is only used by the linker. After a .DLL has been made, the file has no further use (unless you want to create Visual C++ import libraries, but there are other ways to generate those from MinGW-compiled DLL's). When compiling other libraries/applicaties the .def file isn't used, just the .dll and .dll.a files.

These .def files aren't created by libtool, but by some individual packages (like glib2, atk, pango and gtk2) as part of the make job. This can be seen at http://svn.gnome.org/viewvc/atk/trunk/atk/Makefile.am?view=markup (lines 139 to 150 and 168-169)

There was a page on the MinGW site with more details about this, but unfortunately it got lost:

  The Old MinGWiki pages are again offline as a result of action from SF due to
  flock issues with the phpwiki application. We'll be trying a different approach.


Another small thing I've found with this package is the lack of a Requires: pkgconfig
Comment 9 Richard W.M. Jones 2009-01-30 06:22:26 EST
OK, try this one:

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/atk/mingw32-atk.spec
SRPM URL: still building it, but will be here: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-atk-1.25.2-4.fc11.src.rpm

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-4
- Remove gtk-doc.
- Fix defattr line.
- Requires pkgconfig.
- Remove the atk*.def file.
Comment 10 Erik van Pienbroek 2009-02-01 15:59:41 EST
The .src.rpm fails to build on my Rawhide system (local rpmbuild) :

libtool: link:  i686-pc-mingw32-gcc -shared .libs/libatk-1.0-0.dll.def  .libs/atkaction.o .libs/atkcomponent.o .libs/atkdocument.o .libs/atkeditabletext.o .libs/atkgobjectaccessible.o .libs/atkhyperlink.o .libs/atkhyperlinkimpl.o .libs/atkhypertext.o .libs/atkimage.o .libs/atknoopobject.o .libs/atknoopobjectfactory.o .libs/atkobject.o .libs/atkobjectfactory.o .libs/atkregistry.o .libs/atkrelation.o .libs/atkrelationset.o .libs/atkselection.o .libs/atkstate.o .libs/atkstateset.o .libs/atkstreamablecontent.o .libs/atktable.o .libs/atktext.o .libs/atkutil.o .libs/atkmisc.o .libs/atkvalue.o .libs/atk-enum-types.o   /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.dll.a -L/usr/i686-pc-mingw32/sys-root/mingw/lib /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.dll.a -lws2_32 -lole32 /usr/i686-pc-mingw32/sys-root/mingw/lib/libintl.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libiconv.dll.a  -mms-bitfields -Wl,atk-win32-res.o   -o .libs/libatk-1.0-0.dll -Wl,--enable-auto-image-base -Xlinker --out-implib -Xlinker .libs/libatk-1.0.dll.a
Creating library file: .libs/libatk-1.0.dll.a
.libs/atkobject.o: In function `gettext_initialization':
/home/erik/rpmbuild/BUILD/atk-1.25.2/atk/atkobject.c:403: undefined reference to `_g_getenv'
collect2: ld returned 1 exit status
make[3]: *** [libatk-1.0.la] Error 1
make[3]: Leaving directory `/home/erik/rpmbuild/BUILD/atk-1.25.2/atk'
make[2]: *** [all] Error 2

$ rpm -qa | grep mingw32
mingw32-iconv-1.12-7.fc11.noarch
mingw32-binutils-2.19-1.fc11.x86_64
mingw32-dlfcn-0-0.3.r11.fc11.noarch
mingw32-gcc-c++-4.3.2-12.fc11.x86_64
mingw32-pixman-0.13.2-2.fc11.noarch
mingw32-cairo-1.8.0-7.fc11.noarch
mingw32-glib2-2.19.5-3.fc11.noarch
mingw32-termcap-1.3.1-5.fc11.noarch
mingw32-zlib-1.2.3-12.fc11.noarch
mingw32-libpng-1.2.34-2.fc11.noarch
mingw32-gettext-0.17-8.fc11.noarch
mingw32-filesystem-45-1.fc11.noarch
mingw32-w32api-3.13-1.fc11.noarch
mingw32-libxml2-2.7.2-6.fc11.noarch
mingw32-cpp-4.3.2-12.fc11.x86_64
mingw32-gcc-4.3.2-12.fc11.x86_64
mingw32-runtime-3.15.1-10.fc11.noarch
Comment 11 Richard W.M. Jones 2009-02-02 05:08:24 EST
As per your patch on IRC, this should be fixed by
mingw32-filesystem >= 46.

Here is a Koji scratch-build which succeeds in F-11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1098760
Comment 12 Erik van Pienbroek 2009-02-06 10:00:21 EST
$ rpmlint mingw32-atk.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-atk-1.25.2-5.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmquery --requires mingw32-atk
pkgconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 46
mingw32-runtime  
mingw32(kernel32.dll)  
mingw32(libglib-2.0-0.dll)  
mingw32(libgobject-2.0-0.dll)  
mingw32(libintl-8.dll)  
mingw32(msvcrt.dll)  

$ rpmquery --provides mingw32-atk
mingw32(libatk-1.0-0.dll)  
mingw32-atk = 1.25.2-4.fc11

$ rpmquery --fileprovide mingw32-atk
/usr/i686-pc-mingw32/sys-root/mingw/bin/libatk-1.0-0.dll	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atk-enum-types.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atk.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkaction.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkcomponent.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkdocument.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkeditabletext.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkgobjectaccessible.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkhyperlink.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkhyperlinkimpl.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkhypertext.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkimage.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkmisc.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atknoopobject.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atknoopobjectfactory.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkobject.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkobjectfactory.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkregistry.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkrelation.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkrelationset.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkrelationtype.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkselection.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkstate.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkstateset.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkstreamablecontent.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atktable.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atktext.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkutil.h	
/usr/i686-pc-mingw32/sys-root/mingw/include/atk-1.0/atk/atkvalue.h	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libatk-1.0.dll.a	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libatk-1.0.la	
/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/atk.pc	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/af/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/am/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ar/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/as/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/az/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/be/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/be@latin/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/bg/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/bn/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/bn_IN/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/bs/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ca/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/cs/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/cy/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/da/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/de/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/dz/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/el/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/en_CA/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/en_GB/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/eo/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/es/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/et/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/eu/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/fa/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/fi/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/fr/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ga/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/gl/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/gu/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/he/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/hi/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/hr/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/hu/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/id/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/is/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/it/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ja/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ka/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/kn/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ko/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ku/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/li/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/lt/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/lv/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/mk/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ml/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/mn/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/mr/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ms/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/nb/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ne/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/nl/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/nn/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/oc/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/or/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/pa/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/pl/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ps/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt_BR/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ro/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ru/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/rw/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/si/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sk/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sl/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sq/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr@ije/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr@latin/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/sv/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ta/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/te/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/th/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/tk/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/tr/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/tt/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/ug/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/uk/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/vi/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/wa/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/xh/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/yi/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_CN/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_HK/LC_MESSAGES/atk10.mo	
/usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_TW/LC_MESSAGES/atk10.mo	
/usr/share/doc/mingw32-atk-1.25.2	
/usr/share/doc/mingw32-atk-1.25.2/COPYING

$ md5sum atk-1.25.2.tar.bz2 
93a775ae90820abf04590aae293cc904  atk-1.25.2.tar.bz2

$ curl http://ftp.gnome.org/pub/GNOME/sources/atk/1.25/atk-1.25.2.tar.bz2 | md5sum
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  690k  100  690k    0     0   546k      0  0:00:01  0:00:01 --:--:--  644k
93a775ae90820abf04590aae293cc904  -


+ OK
- Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] No static libs
[+] default strip and objdump commands are overridden with mingw32 specific ones
[+] No gtk-doc documentation
[+] No .def files in the %files list

[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[*] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[*] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[/] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[*] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[/] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Nothing to do anymore :)

=================================================

 The package mingw32-atk is APPROVED by epienbro

=================================================
Comment 13 Richard W.M. Jones 2009-02-06 10:04:31 EST
New Package CVS Request
=======================
Package Name: mingw32-atk
Short Description: MinGW Windows Atk library
Owners: rjones berrange
Branches: EL-5 F-10
InitialCC:
Comment 14 Kevin Fenzi 2009-02-08 16:41:11 EST
cvs done.
Comment 15 Richard W.M. Jones 2009-02-28 10:13:15 EST
I think I forgot to close this.  It's been in Rawhide for a while.

Note You need to log in before you can comment on or make changes to this bug.